# polespotter

Find stage poles given fracture zones and abyssal hills

## Synopsis

gmt polespotter [ -A abyssalhills ] [ -D spacing ] [ -E a|f sigma ] [ -F fracturezones ] [ -G grid ] [ -I increment ] [ -N ] [ -R region ] [ -S l|p|s[modifiers] ] [ -V[level] ] [ -bi binary ] [ -di nodata ] [ -e regexp ] [ -h headers ] [ -i flags ] [ -o flags ] [ -r reg ] [ -:[i|o] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

polespotter reads line segments (abyssal hill fabric lineaments and/or fracture zone lineaments) and performs one of three types of scans. In spot mode it computes great circles for each individual segment along these lines. The bisector great circles to fracture zones and the great circle extensions of abyssal hills are expected to intersect at potential rotation poles. The assumption is that abyssal hill lines are meridians and fracture zones are parallels with respect to the rotation pole. Line density may be computed and returned via a grid, the great circle lines may be returned via stdout, and the intersections of the great circles may be saved to file. In line mode it will determine which line segments are compatible with a given trial pole, while in pole mode it will compute chi-squared misfits for all the poles defined by the grid.

## Optional Arguments

-A abyssalhills

  File with multiple segments of abyssal hill lineaments. These are assumed to reflect the great circle direction towards the rotation pole in effect when the seafloor was formed.

-D step

  Sets the line increment for all great circles produced, in km [5]. Actual spacing will be adjusted to give an integer number of steps along the full circle.

-E

  Provide different 1-sigma angular uncertainty (in degrees) in the orientation of abyssal hills or fracture zones. Give -Ea sigma to set the former [1] and -Ef sigma for the latter [1]. These sigma values are then used to form weights = 1/sigma.

-F fracturezones

  File with multiple segments of fracture zone lineaments. These are assumed to reflect small circles about the rotation pole in effect when the seafloor was formed.

-G grid

  Specify name for output grid. For spot mode we will accumulate great circle line density for the grid. Each bin that is crossed by a great circle is incremented by 1, multiplied by cos(latitude), the length of the fracture zone or abyssal line segment used to define the great circle, and any overall weight set via -E. In pole mode we return the chi-squared misfit surface. Not used in line mode.

-I xinc[+e|n][/yinc[+e|n]]

  x_inc [and optionally y_inc] is the grid spacing. Optionally, append a suffix modifier. Geographical (degrees) coordinates: Append m to indicate arc minutes or s to indicate arc seconds. If one of the units e, f, k, M, n or u is appended instead, the increment is assumed to be given in meter, foot, km, Mile, nautical mile or US survey foot, respectively, and will be converted to the equivalent degrees longitude at the middle latitude of the region (the conversion depends on PROJ_ELLIPSOID). If y_inc is given but set to 0 it will be reset equal to x_inc; otherwise it will be converted to degrees latitude. All coordinates: If +e is appended then the corresponding max x (east) or y (north) may be slightly adjusted to fit exactly the given increment [by default the increment may be adjusted slightly to fit the given domain]. Finally, instead of giving an increment you may specify the number of nodes desired by appending +n to the supplied integer argument; the increment is then recalculated from the number of nodes and the domain. The resulting increment value depends on whether you have selected a gridline-registered or pixel-registered grid; see GMT File Formats for details. Note: If -R grdfile is used then the grid spacing (and registration) have already been initialized; use -I (and -r) to override the values.

-N

  Normalize the grid so max value equals 1 [no normalization].

-R west/east/south/north[/zmin/zmax][+r][+u unit]

  west, east, south, and north specify the region of interest, and you may specify them in decimal degrees or in [±]dd:mm[:ss.xxx][W|E|S|N] format Append +r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Set geographic regions by specifying ISO country codes from the Digital Chart of the World using -R code1,code2,…[+r|R[incs]] instead: Append one or more comma-separated countries using the 2-character ISO 3166-1 alpha-2 convention. To select a state of a country (if available), append .state, e.g, US.TX for Texas. To specify a whole continent, prepend = to any of the continent codes AF (Africa), AN (Antarctica), AS (Asia), EU (Europe), OC (Oceania), NA (North America), or SA (South America). Use +r to modify the bounding box coordinates from the polygon(s): Append inc, xinc/yinc, or winc/einc/sinc/ninc to adjust the region to be a multiple of these steps [no adjustment]. Alternatively, use +R to extend the region outward by adding these increments instead, or +e which is like +r but it ensures that the bounding box extends by at least 0.25 times the increment [no extension]. Alternatively for grid creation, give R code lon/lat/nx/ny, where code is a 2-character combination of L, C, R (for left, center, or right) and T, M, B for top, middle, or bottom. e.g., BL for lower left. This indicates which point on a rectangular region the lon/lat coordinate refers to, and the grid dimensions nx and ny with grid spacings via -I is used to create the corresponding region. Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing and registration, if applicable) are copied from the grid. Appending +u unit expects projected (Cartesian) coordinates compatible with chosen -J and we inversely project to determine actual rectangular geographic region. For perspective view (-p), optionally append /zmin/zmax. In case of perspective view (-p), a z-range (zmin, zmax) can be appended to indicate the third dimension. This needs to be done only when using the -Jz option, not when using only the -p option. In the latter case a perspective view of the plane is plotted, with no third dimension.

-Sl|p|s[modifiers]

  Set the scan mode for this run. Choose from lines, poles, or spots. Depending on the mode there may be required and optional arguments as indicated below:

-Sl plon/plat[+m]

> Line mode means we accept a plon/plat trial pole location and determine how compatible each data segment is with the predictions of small circles (for fracture zones) and meridians (for abyssal hills). By default we report summary statistics (chi2, table, segment, type) for each line segment. Append +m to instead report the misfit information (mlon, mlat, del_angle, chi2, table, segment, type) for each mid-point along all multi-point line segments. The information is written to standard output.

-Sp

  Pole mode means we search for all poles on the given grid and determine the weighted chi-square misfit to all given line constraints. This mode requires -G, -R, -I (and optionally -r).

-Ss[+c xfile][+l]

  Spot mode means we compute bisectors to fracture zones and meridians along abyssal hills and determine intersections of all these great circles. You can append any of two modifiers: +l will dump all great circles produced to standard output [no output], and +c xfile will compute the intersections of all great circles and write the locations to xfile. This output has 5 columns: lon, lat, weight, cos, type, where weight is the combined length weight from the two generating line segments, cos is the cosine of the angle between the intersecting lines, and type is either 0 (AH intersect AH), 1 (AH intersect FZ), or 2 (FZ intersect FZ), where AH means an abyssal hill great circle and FZ means a bisector great circle to a fracture zone.

-V[level] (more …)

  Select verbosity level [w].

-bi[ncols][t] (more …)

  Select native binary format for primary input. [Default is 5 input columns].

-di nodata (more …)

  Replace input columns that equal nodata with NaN.

-e[~]“pattern” | -e[~]/regexp/[i] (more …)

  Only accept data records that match the given pattern.

-V[level] (more …)

  Select verbosity level [w].

-i cols[+l][+s scale][+o offset][,…][,t[word]] (more …)

  Select input columns and transformations (0 is first column, t is trailing text, append word to read one word only).

-o cols[,…][,t[word]] (more …)

  Select output columns (0 is first column; t is trailing text, append word to write one word only).

-r[g|p] (more …)

  Set node registration [gridline].

-:[i|o] (more …)

  Swap 1st and 2nd column on input and/or output.

-^ or just -

  Print a short message about the syntax of the command, then exit (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Geodetic versus Geocentric Coordinates

All spherical rotations are applied to geocentric coordinates. This means that incoming data points and grids are considered to represent geodetic coordinates and must first be converted to geocentric coordinates. Rotations are then applied, and the final reconstructed points are converted back to geodetic coordinates. This default behavior can be bypassed if the ellipsoid setting PROJ_ELLIPSOID is changed to Sphere.

## Notes

1. Each input line is expected to contain two or more points, and each consecutive pairs of points define a great circle line segment. For fracture zones, these points should be digitized often enough so that the great circle between then can approximate the small circle.

2. All line segments are given equal angular uncertainty [1, unless changed by -E]. However, individual line segments can override this weight by adding a -D sigma argument in the segment headers (in degrees).

## Examples

To create a polespotting image from the abyssal hill and fracture zone fabric (lon,lat) data in the files hills.txt and fractures.txt, on a 1x1 degree grid for the northern hemisphere, sampling the great circles every 10 km, and also dump the great circles to standard output, try

>     gmt polespotter -Ahills.txt -Ffractures.txt -D10 -Gpoles.nc -R0/360/0/90 -I1 -V -Ss+l > lines.txt

This file can then be plotted with grdimage.

## See Also

gmt, grdimage, grdrotater, grdspotter, project, mapproject, backtracker, gmtpmodeler, gmtvector, grdpmodeler, grdrotater, originater